curl --request GET \
--url https://services.leadconnectorhq.com/calendars/events \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"events": [
{
"id": "ocQHyuzHvysMo5N5VsXc",
"title": "Appointment with HoopAI Platform Dev team",
"calendarId": "BqTwX8QFwXzpegMve9EQ",
"locationId": "0007BWpSzSwfiuSl0tR2",
"contactId": "9NkT25Vor1v4aQatFsv2",
"groupId": "9NkT25Vor1v4aQatFsv2",
"appointmentStatus": "confirmed",
"assignedUserId": "YlWd2wuCAZQzh2cH1fVZ",
"users": [
"YlWd2wuCAZQzh2cH1fVZ",
"9NkT25Vor1v4aQatFsv2"
],
"startTime": "2023-09-25T16:00:00+05:30",
"endTime": "2023-09-25T16:00:00+05:30",
"dateAdded": "2023-09-25T16:00:00+05:30",
"dateUpdated": "2023-09-25T16:00:00+05:30",
"address": "https://meet.google.com/yqp-gogr-wve",
"notes": "Some dummy note",
"description": "Some dummy description",
"isRecurring": "true",
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5",
"assignedResources": [
"<string>"
],
"createdBy": {
"source": "<string>",
"userId": "<string>"
},
"masterEventId": "ocWd2wuBGAQzh2cH1fSZ"
}
]
}Get Calendar Events
curl --request GET \
--url https://services.leadconnectorhq.com/calendars/events \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"events": [
{
"id": "ocQHyuzHvysMo5N5VsXc",
"title": "Appointment with HoopAI Platform Dev team",
"calendarId": "BqTwX8QFwXzpegMve9EQ",
"locationId": "0007BWpSzSwfiuSl0tR2",
"contactId": "9NkT25Vor1v4aQatFsv2",
"groupId": "9NkT25Vor1v4aQatFsv2",
"appointmentStatus": "confirmed",
"assignedUserId": "YlWd2wuCAZQzh2cH1fVZ",
"users": [
"YlWd2wuCAZQzh2cH1fVZ",
"9NkT25Vor1v4aQatFsv2"
],
"startTime": "2023-09-25T16:00:00+05:30",
"endTime": "2023-09-25T16:00:00+05:30",
"dateAdded": "2023-09-25T16:00:00+05:30",
"dateUpdated": "2023-09-25T16:00:00+05:30",
"address": "https://meet.google.com/yqp-gogr-wve",
"notes": "Some dummy note",
"description": "Some dummy description",
"isRecurring": "true",
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5",
"assignedResources": [
"<string>"
],
"createdBy": {
"source": "<string>",
"userId": "<string>"
},
"masterEventId": "ocWd2wuBGAQzh2cH1fSZ"
}
]
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-04-15 Location Id
"0007BWpSzSwfiuSl0tR2"
User Id - Owner of an appointment. Either of userId, groupId or calendarId is required
"CVokAlI8fgw4WYWoCtQz"
Either of calendarId, userId or groupId is required
"BqTwX8QFwXzpegMve9EQ"
Either of groupId, calendarId or userId is required
"ocQHyuzHvysMo5N5VsXc"
Start Time (in millis)
"1680373800000"
End Time (in millis)
"1680978599999"
Successful response
Show child attributes
Was this page helpful?